"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var graphql_import_1 = require("graphql-import");
var graphql_tools_1 = require("graphql-tools");
var fs_1 = require("fs");
var checkIfFileExist = function (path) {
    if (!fs_1.existsSync(path)) {
        console.error(path + " does not exist");
        process.exit(1);
    }
};
var mockSchema = function (file) {
    checkIfFileExist(file);
    var schemaFile = graphql_import_1.importSchema(file);
    var schema = graphql_tools_1.makeExecutableSchema({ typeDefs: schemaFile });
    graphql_tools_1.addMockFunctionsToSchema({ schema: schema });
    return schema;
};
exports.default = mockSchema;
